[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: python-mwlib + odfpy is a mess.



On Tue, Jul 07, 2009 at 07:50:52PM -0400, Paul W. Frields wrote:
> I put up a simple test page here:
> https://fedoraproject.org/wiki/Test_page_for_mwlib
> 
Thanks :)

Thanks also to Dave Nalley volunteered to commandeer the effort to fix
this crapola I created (whee!) so I'll double check that he read this (I
assume so).

> Good news and bad news:
> 
> * Upstream mwlib is really chugging along.  That's healthy.
> 
> * Current mwlib is now at 0.11.2, which is way ahead of our anemic
>   0.9.10.  It now requires odfpy==0.9.
> 
> * odfpy-0.9 shouldn't be too hard to do, right?  I think mwlib is the
>   only thing using it.
> 
Correct AFAIK...

> * Oh wait, did I mention there's more?  mwlib-0.11.2 also needs
>   python-lockfile>=0.8 and python-timelib>=0.2, neither of which we
>   have yet, meaning more packaging.
> 
Oh did I mention there's some dependency epic fail going on in EL-5? I
don't know what to do about it, nor do I remember what it is, but it has
something to do with a Python library being an older version that what
we need and the maintainer isn't willing to update because it would
break previous code. I'm thinking of dropping EPEL for both of these
packages (it was odfpy that was the culprit when I was updating it to
0.9).

-- 
Ian Weller <ian ianweller org>
GnuPG fingerprint:  E51E 0517 7A92 70A2 4226  B050 87ED 7C97 EFA8 4A36

Attachment: pgpfXVtKptYLi.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]